Package ghidra.app.cmd.function

# Enum Class FunctionRenameOption

java.lang.Object
java.lang.Enum<FunctionRenameOption>
ghidra.app.cmd.function.FunctionRenameOption

All Implemented Interfaces:
  `Serializable`, `Comparable<FunctionRenameOption>`, `Constable`

public enum FunctionRenameOption extends Enum<FunctionRenameOption>
Option for controlling the renaming of a `Function` when applying a `FunctionSignature` or `FunctionDefinition`. See `ApplyFunctionSignatureCmd`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_CHANGE`
  `NO_CHANGE` indicates that the current `Function` name should be changed.
  `RENAME`
  `RENAME` indicates that the current `Function` name should always be changed.
  `RENAME_IF_DEFAULT`
  `RENAME_IF_DEFAULT` indicates that the current `Function` name should be only be changed if it is a default name (e.g., FUN_1234).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FunctionRenameOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FunctionRenameOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_CHANGE

    public static final FunctionRenameOption NO_CHANGE
    `NO_CHANGE` indicates that the current `Function` name should be changed.

  - ### RENAME_IF_DEFAULT

    public static final FunctionRenameOption RENAME_IF_DEFAULT
    `RENAME_IF_DEFAULT` indicates that the current `Function` name should be only be changed if it is a default name (e.g., FUN_1234).

  - ### RENAME

    public static final FunctionRenameOption RENAME
    `RENAME` indicates that the current `Function` name should always be changed.

- ## Method Details

  - ### values

    public static FunctionRenameOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FunctionRenameOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null